KDE 4.2 PyKDE API Reference

- KDE's Python API

# Solid.Networking Namespace Reference

`from PyKDE4.solid.Solid.Networking import *`

## Detailed Description

This class allow to query the underlying system to discover the available network interfaces and reachable network.It has also the responsibility to notify when a network interface or a network appear or disappear.

It's the unique entry point for network management. Applications should use it to find network interfaces, or to be notified about network related changes.

Note that it's implemented as a singleton and encapsulates the backend logic.

## Class Index

## Enumerations

ManagementPolicy | { Manual, OnNextStatusChange, Managed }
Status | { Unknown, Unconnected, Disconnecting, Connecting, Connected }

## Functions

Solid.Networking.ManagementPolicy | connectPolicy ()
Solid.Networking.ManagementPolicy | disconnectPolicy ()
Solid.Networking.Notifier | notifier ()
| setConnectPolicy (Solid.Networking.ManagementPolicy policy)
| setDisconnectPolicy (Solid.Networking.ManagementPolicy policy)
Solid.Networking.Status | status ()

## Enumeration Documentation

ManagementPolicy

This defines application policy in response to networking connect/disconnect events

Enumerator:

  Manual |
  OnNextStatusChange |
  Managed |

Status

Describes the state of the networking system

Enumerator:

  Unknown the networking system is not active or unable to report its status - proceed with caution < p> |
  Unconnected the system is not connected to any network < p> |
  Disconnecting the system is breaking the connection < p> |
  Connecting the system is not connected to any network < p> |
  Connected the system is currently connected to a network < p> |

## Function Documentation

Solid.Networking.ManagementPolicy connectPolicy | ( |  | self ) |

Retrieve a policy managing the application's connect behaviour

Returns:
  the connection policy in use

Solid.Networking.ManagementPolicy disconnectPolicy | ( |  | self ) |

Retrieve a policy managing the application's disconnect behaviour

Returns:
  the disconnection policy in use

Solid.Networking.Notifier notifier | ( |  | self ) |

setConnectPolicy | ( | Solid.Networking.ManagementPolicy | policy
| ) |  |  |

Set a policy to manage the application's connect behaviour

Parameters:

  | policy | the new connection policy

setDisconnectPolicy | ( | Solid.Networking.ManagementPolicy | policy
| ) |  |  |

Set a policy to manage the application's disconnect behaviour

Parameters:

  | policy | the new disconnection policy

Solid.Networking.Status status | ( |  | self ) |

Get the current networking status